<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                {{heading}}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <div class="page-title-actions">
            <button type="button"
                    class="btn-shadow d-inline-flex align-items-center btn btn-success"
                    (click)="newRecord()">
                <fa class="mr-2" name="plus"></fa>
                Nuevo
            </button>
        </div>
    </div>
</div>

<div class="main-card mb-3 card">
    <div class="card-body">

        <div class="animated fadeIn" style="height: 90vh;">
            <kendo-grid
                    [data]="dataGrid"
                    [selectable]="true"
                    [filter]="filter"
                    [filterable]="true"
                    (filterChange)="filterChange($event)"
                    [selectable]="true"
                    [navigable]="true"
                    [reorderable]="true"
                    [resizable]="true"
                    [sort]="sort"
                    [sortable]="true"
                    (sortChange)="sortChange($event)"
                    [groupable]="false"
                    [group]="groups"
                    (groupChange)="groupChange($event)"
                    style="height:87vh"
                    (edit)="editRow($event)"
                    (remove)="deleteRow($event)"
                    (detailExpand)="expandMenu($event)">
                <ng-template kendoGridToolbarTemplate>
                    <div class="row d-flex justify-content-center py-2 mt-2">
                        <ng-container *ngFor="let sys of systems">
                            <button type="button" class="btn col-2 mx-1"
                                    [ngClass]="{'btn-success': cSistema === sys.cSistema,
                                    'btn-info': cSistema !== sys.cSistema }"
                                    (click)="changeSystem(sys)">
                                {{ sys.cSistema | uppercase }}
                            </button>
                        </ng-container>
                    </div>
                </ng-template>
                <kendo-grid-column field="iSec" title="Sec" width="80" [filterable]="false"></kendo-grid-column>
                <kendo-grid-column field="cMenu" title="Menu"></kendo-grid-column>
                <kendo-grid-column field="cPrograma" title="Ruta" [filterable]="false"></kendo-grid-column>
                <kendo-grid-command-column title="Actions" width="220">
                    <ng-template kendoGridCellTemplate let-isNew="isNew">
                        <button kendoGridEditCommand [primary]="true">Editar</button>
                        <button kendoGridRemoveCommand>Eliminar</button>
                    </ng-template>
                </kendo-grid-command-column>
                <div *kendoGridDetailTemplate="let dataItem">
                    <button (click)="newRecordSubMenu(dataItem)" type="button" class="btn btn-light">
                        <i class="fa fa-plus text-success mr-2"></i>Add Sub-Menú
                    </button>
                    <kendo-grid
                            [data]="dataItem.SubMenu"
                            [selectable]="true"
                            [navigable]="true"
                            [reorderable]="true"
                            [resizable]="true"
                            (edit)="valueSubMenu($event)"
                            (remove)="deleteRowSubMenu($event)"
                            (detailExpand)="expandSubmenu($event)"
                            class="mt-1">
                        <kendo-grid-column field="iSec" title="Sec" width="80"></kendo-grid-column>
                        <kendo-grid-column field="cSubMenu" title="Sub-Menú"></kendo-grid-column>
                        <kendo-grid-column field="cPrograma" title="Programa"></kendo-grid-column>
                        <kendo-grid-command-column title="Actions" width="220">
                            <ng-template kendoGridCellTemplate let-isNew="isNew">
                                <button kendoGridEditCommand [primary]="true">Editar</button>
                                <button kendoGridRemoveCommand>Eliminar</button>
                            </ng-template>
                        </kendo-grid-command-column>
                        <div *kendoGridDetailTemplate="let dataItem">
                            <button (click)="newRecordOpcion(dataItem)" type="button" class="btn btn-light">
                                <i class="fa fa-plus text-success mr-2"></i>Add Opción
                            </button>
                            <kendo-grid
                                    [data]="dataItem.Opcion"
                                    [selectable]="true"
                                    (edit)="valueOpciones($event)"
                                    (remove)="deleteRowOpcion($event)"
                                    class="mt-1">
                                <kendo-grid-column field="iSec" title="Sec" width="80"></kendo-grid-column>
                                <kendo-grid-column field="cOpcion" title="Opción"></kendo-grid-column>
                                <kendo-grid-column field="cPrograma" title="Programa"></kendo-grid-column>
                                <kendo-grid-command-column title="Actions" width="190">
                                    <ng-template kendoGridCellTemplate let-isNew="isNew">
                                        <button kendoGridEditCommand [primary]="true">Editar</button>
                                        <button kendoGridRemoveCommand>Eliminar</button>
                                    </ng-template>
                                </kendo-grid-command-column>
                            </kendo-grid>
                        </div>
                    </kendo-grid>
                </div>
            </kendo-grid>
        </div>
        <div class="row" *ngIf="flagForm">
            <kendo-dialog [width]="500">
                <span class="badge badge-pill badge-success estatus p-1" *ngIf="!update">Nuevo</span>
                <span class="badge badge-pill badge-warning estatus p-1" *ngIf="update">Actualizar</span>
                <div *ngIf="update; then setcIcon(menu.cMenu)"></div>
                <form (ngSubmit)="saveRecord(myForm)" #myForm="ngForm" novalidate="" class="">
                    <div class="row animated fadeIn pt-3">
                        <div class="form-group col-4">
                            <label for="iSec">Secuencia</label>
                            <input type="number" class="form-control" name="iSec" [(ngModel)]="menu.iSec" autofocus>
                        </div>
                        <div class="form-group col-12">
                            <label for="cMenu">Menú</label>
                            <input type="text" class="form-control" name="cMenu" [(ngModel)]="menu.cMenu"
                                   [readOnly]="!flagMenu">
                        </div>
                        <div class="form-group col-12" *ngIf="flagMenu">
                            <label>
                                Ícono
                                <kendo-dropdownlist [data]="dataIcons"
                                                    name="cIcon"
                                                    [(ngModel)]="cIcon"
                                                    [textField]="'text'"
                                                    [valueField]="'value'"
                                                    [filterable]="true"
                                                    (filterChange)="handleFilter($event)">
                                    <ng-template kendoDropDownListItemTemplate let-dataItem>
                                        <i class="{{ dataItem.value }} mr-2"></i>{{ dataItem.text }}
                                    </ng-template>
                                </kendo-dropdownlist>
                            </label>
                        </div>
                        <div class="form-group col-12" *ngIf="!flagMenu">
                            <label for="cSubMenu">Sub-Menú</label>
                            <input type="text" class="form-control" name="cSubMenu" [(ngModel)]="menu.cSubMenu"
                                   [readOnly]="flagOpcion">
                        </div>
                        <div class="form-group col-12" *ngIf="flagOpcion">
                            <label for="cOpcion">Opción</label>
                            <input type="text" class="form-control" name="cOpcion" [(ngModel)]="menu.cOpcion">
                        </div>
                        <div class="form-group col-12" *ngIf="!flagMenu">
                            <label for="cPrograma">Ruta</label>
                            <input type="text" class="form-control" name="cPrograma" [(ngModel)]="menu.cPrograma">
                        </div>
                        <div class="form-group pt-2 col-12">
                            <button (click)="resetForm()" type="button" class="btn btn-lignt py-2 px-4">Cerrar</button>
                            <button type="submit" class="btn btn-success py-2 px-4 ml-1" [disabled]="!myForm.valid"
                                    [ngClass]="{ 'btn-outline-primary': !myForm.valid }">
                                <i class="fa fa-save mr-2"></i>Guardar
                            </button>
                        </div>
                    </div>
                </form>
            </kendo-dialog>
        </div>

    </div>
</div>
